## khal 0.8.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettextp source

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:source
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:source
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:source
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:source
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:source
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:source
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:source
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/khal.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/khal.qhc"

devhelp:source
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/khal"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/khal"
	@echo "# devhelp"

epub:source
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:source
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:source
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:source
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:source
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:source
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:source
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:source
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:source
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:source
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:source
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:source
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:source
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:source
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

source:
	make -C source

=== doc/requirements.txt ===
sphinxcontrib-newsfeed

=== doc/source/Makefile ===
configspec.rst: ../../khal/settings/khal.spec generate_config.py
	python generate_config.py > configspec.rst

.PHONY: configspec.rst

=== debian/changelog ===
khal (1:0.8.4-4) unstable; urgency=medium

  * Raise epoch to "revert" new upstream version in unstable and pass
    stretch migration
  * d/copyright: mention presence of
    0002-Reference-license-from-copyright-file.patch (Closes: #860984)
  * d/copyright: add upstream contact
  * d/copyright: update copyright year
  * d/patches: some TZ tests may fail due to Debian's python-tz of older
    version but with newer TZ definitions, should be removed when 2017.2
    reaches sid (Closes: #859472)

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 03 May 2017 14:08:59 +0200

khal (0.8.4-3) unstable; urgency=medium

  * d/patches: tolerate more occasionally failing tests where
    coll.update_db() is called, fixes random FTBFS (Closes: #851417)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 17 Jan 2017 19:30:32 +0100

khal (0.8.4-2) unstable; urgency=medium

  * d/patches: disable occasionally failing test_default_calendar
    (Closes: #844081)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 02 Jan 2017 22:18:08 +0100

khal (0.8.4-1) unstable; urgency=high

  * New upstream release
  * d/patches: Rebased for new release

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 31 Oct 2016 14:22:27 +0100

khal (0.8.3-1) unstable; urgency=medium

  * initial release (Closes: #745025)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 05 Sep 2016 10:06:20 +0200

=== debian/control ===
Source: khal
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-python (>= 2.20160609~),
               locales,
               python3-alabaster,
               python3-all,
               python3-click (>= 3.2),
               python3-configobj,
               python3-dateutil,
               python3-doc,
               python3-freezegun,
               python3-icalendar,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-tz,
               python3-tzlocal,
               python3-urwid,
               python3-xdg,
               vdirsyncer
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pimutils/khal
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/khal/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/khal/trunk/

Package: khal
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Recommends: python3-setproctitle
Description: Standards based CLI and terminal calendar program
 Features:
  - khal can read and write events/icalendars to vdir, so vdirsyncer can be
    used to synchronize calendars with a variety of other programs, for
    example CalDAV servers.
  - fast and easy way to add new events
  - ikhal (interactive khal) lets you browse and edit calendars and events

Package: khal-doc
Section: doc
Architecture: all
Depends: python3-doc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Standards based CLI and terminal calendar program - documentation
 Features:
  - khal can read and write events/icalendars to vdir, so vdirsyncer can be
    used to synchronize calendars with a variety of other programs, for
    example CalDAV servers.
  - fast and easy way to add new events
  - ikhal (interactive khal) lets you browse and edit calendars and events
 .
 This package contains the documentation for khal.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/khal
export PYBUILD_NAME=khal
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b man doc/source $(CURDIR)/doc/_build/man

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/khal/usr/share/zsh/vendor-completions
	cp misc/__khal debian/khal/usr/share/zsh/vendor-completions/_khal

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	# Remove unwanted license file, we already reference d/copyright
	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.txt
endif

override_dh_auto_test:
	mkdir -p debian/tmp/locale/
	localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
	localedef -f UTF-8 -i de_DE ./debian/tmp/locale/de_DE.UTF-8/
	localedef -f UTF-8 -i cs_CZ ./debian/tmp/locale/cs_CZ.UTF-8/
	localedef -f UTF-8 -i el_GR ./debian/tmp/locale/el_GR.UTF-8/
	export LOCPATH=$(CURDIR)/debian/tmp/locale/ && \
	export LC_ALL=en_US.UTF-8 && \
	LC_ALL=en_US.UTF-8 dh_auto_test

override_dh_installchangelogs:
	rm -f debian/upstream-changelog
	set -e ; for i in $$(find doc/source/news -name "khal*.rst" | sort -V -r); do \
		cat $$i ; \
		echo "" ; \
	done >> debian/upstream-changelog
	dh_installchangelogs debian/upstream-changelog

## khal 0.9.8

=== debian/changelog ===
khal (1:0.9.8-1) unstable; urgency=medium

  * New upstream version

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 11 Dec 2017 16:01:18 +0100

khal (1:0.9.6-3) unstable; urgency=medium

  * d/patches: removed patch modifying upstream license file

 -- Filip Pytloun <filip@pytloun.cz>  Thu, 17 Aug 2017 15:22:24 +0200

khal (1:0.9.6-2) unstable; urgency=medium

  * Fix FTBFS by marking test that requires stdin as xfail,
    Upstream bug: https://github.com/pimutils/khal/issues/683
    (Closes: #868773)
  * Raise debhelper compat to 10
  * Raise standards version to 4.0.0
  * Remove unwanted license.rst.txt file from docs

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 18 Jul 2017 22:51:30 +0200

khal (1:0.9.6-1) unstable; urgency=medium

  * New upstream version (Closes: #867797)
  * d/patches: rebase for new release

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 18 Jul 2017 11:49:34 +0200

khal (1:0.9.5-4) experimental; urgency=medium

  * Add locales-all into build dependencies as all locales are needed to
    execute tests (open-infrastructure-locales-c.utf-8 that also satisfies
    locales requirement doesn't provide all required locales)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 09 May 2017 13:59:57 +0200

khal (1:0.9.5-3) experimental; urgency=medium

  * New upstream version
  * d/patches: rebase for new version
  * d/patches: drop patch
    0006-Tolerate-occassionally-failing-update_db-related-tes.patch which
    should not be needed anymore
  * Suggest khal-doc (Closes: #861813)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 09 May 2017 11:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Filip Pytloun <filip@pytloun.cz>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-exec,
                dh-python (>= 2.20160609~),
                locales,
+               locales-all,
                python3-alabaster,
                python3-all,
                python3-click (>= 3.2),
@@ -24,7 +25,7 @@
                python3-urwid,
                python3-xdg,
                vdirsyncer
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pimutils/khal
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/khal/trunk/
@@ -34,6 +35,7 @@
 Architecture: all
 Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
 Recommends: python3-setproctitle
+Suggests: khal-doc
 Description: Standards based CLI and terminal calendar program
  Features:
   - khal can read and write events/icalendars to vdir, so vdirsyncer can be

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.txt
+	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.rst.txt
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import khal; print(khal)" ; done
Depends: python3-all, khal

Test-Command: khal --help
Depends: khal

## khal 0.9.10

=== debian/changelog ===
khal (1:0.9.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch cherry-picked upstream to fix parse categories as list,
    superseding patch 0008 only fixing testsuite.
    Tighten build-dependency on python3-icalendar.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Mar 2019 09:56:46 +0100

khal (1:0.9.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Non-maintainer upload.

  [ Filip Pytloun ]
  * d/compat: Raise to version 12
  * d/control: Raise standards version to 4.3.0
  * d/control: Depend on vdirsyncer 0.16.7, Closes: #918279

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 22 Jan 2019 11:56:29 +0100

khal (1:0.9.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jonas Smedegaard ]
  * New upstream version 0.9.6.1
    Closes: Bug#908497. Thanks to Paul Gevers and Adrian Bunk.
  * Unfuzz patch 0007.
  * Add patch 0008 to fix pass categories as list in test.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2018 15:39:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Filip Pytloun <filip@pytloun.cz>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                dh-exec,
                dh-python (>= 2.20160609~),
                locales,
@@ -15,7 +15,7 @@
                python3-dateutil,
                python3-doc,
                python3-freezegun,
-               python3-icalendar,
+               python3-icalendar (>= 4.0.3),
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm,
@@ -24,12 +24,12 @@
                python3-tzlocal,
                python3-urwid,
                python3-xdg,
-               vdirsyncer
-Standards-Version: 4.0.0
+               vdirsyncer (>= 0.16.7)
+Standards-Version: 4.3.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pimutils/khal
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/khal/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/khal/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/khal.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/khal
 
 Package: khal
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b man doc/source $(CURDIR)/doc/_build/man
+	PYTHONPATH=. python3 -m sphinx -b man doc/source $(CURDIR)/doc/_build/man
 
 override_dh_auto_install:
 	dh_auto_install
@@ -16,7 +16,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.txt

=== debian/watch ===
version=3
#opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/khal/khal-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## khal 0.10.2

=== debian/changelog ===
khal (1:0.10.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  * skip unstable tests;
    closes: bug#981228, thanks to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 20:56:02 +0100

khal (1:0.10.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * new releases:
    0.10.1
    + fix new color priority system and discover calendar type
    + fix order search results in ikhal
    0.10.2
    + Parse X-ANNIVERSARY, ANNIVERSARY and X-ABDATE fields from vcards
    + Add ability to change default event duration
      with default_event_duration and default_dayevent_duration
      for an day-long event
    + Add {uid} property to template options in --format
    + fix warning when importing event with Windows timezone format
    + fix crash launching external editor in ikhal
    + fix calculate left pane width in ikal
      when frame is width or color in configuration
    + remove timezones check in UNTIL not in DTSTART and vice-versa
      closes: bug#921257, thanks to Santiago Vila and Helmut Grohne

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream since applied
  * add patches cherry-picked upstream:
    + fix accept -a -d options in ikhal
    + fix strip whitespace when loading displayname and color files
    + fix warn when loading events
      with a recurrence that finishes before it starts
    + fix avoid crash in ikhal on alarms without descriptions
    + fix display all-day events at the top of the day in ikhal
    + fix avoid crash in ikhal on keybindings in empty search results
    + fix avoid crash in ikhal on new keybinding in search
  * drop patches 0004 0006 0007,
    obsoleted by improved upstream testsuite
  * unfuzz patches
  * cleanup upstream build noise and autogenerated version file

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Jan 2021 12:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: khal
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Filip Pytloun <filip@pytloun.cz>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-python (>= 2.20160609~),
                locales,
@@ -25,11 +25,11 @@
                python3-urwid,
                python3-xdg,
                vdirsyncer (>= 0.16.7)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pimutils/khal
-Vcs-Git: https://salsa.debian.org/python-team/applications/khal.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/khal
+Vcs-Git: https://salsa.debian.org/python-team/packages/khal.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/khal
 
 Package: khal
 Architecture: all

## khal 0.10.3

=== debian/changelog ===
khal (1:0.10.3-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream since applied
  * add myself as uploader;
    see bug#925522

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 May 2021 22:12:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: khal
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Filip Pytloun <filip@pytloun.cz>
+Uploaders: Filip Pytloun <filip@pytloun.cz>,
+ Jonas Smedegaard <dr@jones.dk>,
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 export PYBUILD_DESTDIR_python3=debian/khal
 export PYBUILD_NAME=khal
+
+# avoid unstable tests
+export PYBUILD_TEST_ARGS = \
+ --ignore=tests/cli_test.py \
+ --ignore=tests/khalendar_test.py
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import khal; print(khal)" ; done
Depends: python3-all, khal

Test-Command: khal --help
Depends: khal

## khal 0.10.4~ds

=== doc/requirements.txt ===
sphinx!=1.6.1
sphinxcontrib-newsfeed

=== debian/changelog ===
khal (1:0.10.4~ds-3) unstable; urgency=medium

  * add patch 2004 to resolve upstream version from file (not from VCS);
    generate version.py before build and before clean;
    stop build-depend on python3-setuptools-scm;
    do upstream cleanup only with patches applied;
    closes: bug#1002406, thanks to Lucas Nussbaum
  * tighten lintian overrides
  * update copyright info: update coverage
  * add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jan 2022 16:41:10 +0100

khal (1:0.10.4~ds-2) unstable; urgency=medium

  * add patches cherry-picked upstream
    to fix running tests in a container
  * declare compliance with Debian Policy 4.6.0
  * relax to (build-)depend unversioned
    on python3-click python3-icalendar vdirsyncer:
    required versions satisfied in all supported Debian releases
  * update copyright info:
    + use Reference field (not License-Reference)
    + fix license grant for packaging

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 18:36:29 +0200

khal (1:0.10.4~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 branches upstream/latest debian/latest
    + avoid any .git* files
    + use pristine-tar
    + sign tags
    + add usage comment
  * update watch file:
    + track GitHub source
    + use file format 4
    + mention gbp --uscan in usage comment
    + use substitution strings
  * repack upstream source without autogenerated version.py file
  * update copyright info:
    + update coverage
    + license packaging as GPL-3+
    + add lintian overrides about Reference field
    + list GitHub issue tracker as preferred upstream contact
  * use semantic newlines in long description and copyright fields
  * improve long descriptions
  * use debhelper compatibility level 12 (not 10);
    build-depend on dh-sequence-python3 dh-sequence-sphinxdoc
    (not dh-python)
  * stop needlessly build-depend on locales-all
  * copy and then declaratively install example config file;
    stop build-depend on dh-exec
  * add patch 1001 to use python3 in upstream custom executables;
    install upstream custom executables,
    overriding allegedgy slower autogenerated ones
  * unfuzz patches
  * rename patches and tighten DEP-3 headers,
    and add debian/patches/README documenting micro-naming-policy
  * stop skip some tests: apparently all succeed now

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Sep 2021 18:12:36 +0200

=== debian/control ===
Source: khal
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
 Jonas Smedegaard <dr@jones.dk>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 locales,
 python3-alabaster,
 python3-all,
 python3-click,
 python3-configobj,
 python3-dateutil,
 python3-doc,
 python3-freezegun,
 python3-icalendar,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-tz,
 python3-tzlocal,
 python3-urwid,
 python3-xdg,
 vdirsyncer,
Standards-Version: 4.6.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pimutils/khal
Vcs-Git: https://salsa.debian.org/python-team/packages/khal.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/khal

Package: khal
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-setproctitle,
Suggests:
 khal-doc,
Description: Standards based CLI and terminal calendar program
 Khal is a standards based CLI and terminal calendar program,
 able to synchronize with CalDAV servers through vdirsyncer.
 .
 Features:
  - khal can read and write events/icalendars to vdir,
    so vdirsyncer can be used to synchronize calendars
    with a variety of other programs,
    for example CalDAV servers.
  - fast and easy way to add new events
  - ikhal (interactive khal) lets you browse and edit calendars and events

Package: khal-doc
Section: doc
Architecture: all
Depends:
 python3-doc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Standards based CLI and terminal calendar program - documentation
 Khal is a standards based CLI and terminal calendar program,
 able to synchronize with CalDAV servers through vdirsyncer.
 .
 Features:
  - khal can read and write events/icalendars to vdir,
    so vdirsyncer can be used to synchronize calendars
    with a variety of other programs,
    for example CalDAV servers.
  - fast and easy way to add new events
  - ikhal (interactive khal) lets you browse and edit calendars and events
 .
 This package contains the documentation for khal.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/khal
export PYBUILD_NAME=khal

VERSION = $(shell grep -Po '^Version:\s*\K\S+' PKG-INFO)

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure execute_before_dh_auto_clean:
	printf '# coding: utf-8\nversion = "%s"\nversion_tuple = (%s, %s, %s)\n' $(VERSION) $(wordlist 1,3,$(subst ., ,$(VERSION))) > khal/version.py

# do upstream cleanup only with patches applied
override_dh_auto_clean:
	grep -q use_scm_version setup.py || dh_auto_clean --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b man doc/source $(CURDIR)/doc/_build/man

execute_after_dh_auto_install:
	mkdir -p debian/khal/usr/share/zsh/vendor-completions
	cp misc/__khal debian/khal/usr/share/zsh/vendor-completions/_khal
	cp -f khal.conf.sample debian/khal.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	# Remove unwanted license file, we already reference d/copyright
	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.txt
	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.rst.txt
endif

override_dh_auto_test:
	mkdir -p debian/tmp/locale/
	localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
	localedef -f UTF-8 -i de_DE ./debian/tmp/locale/de_DE.UTF-8/
	localedef -f UTF-8 -i cs_CZ ./debian/tmp/locale/cs_CZ.UTF-8/
	localedef -f UTF-8 -i el_GR ./debian/tmp/locale/el_GR.UTF-8/
	LOCPATH=$(CURDIR)/debian/tmp/locale/ LC_ALL=en_US.UTF-8 dh_auto_test

execute_before_dh_installchangelogs:
	set -e;\
	for i in $$(find doc/source/news -name "khal*.rst" | sort -Vr); do \
		cat $$i;\
		echo;\
	done > changelog.rst

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=~ds,\
dversionmangle=auto \
https://github.com/pimutils/khal/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## khal 0.10.5

=== debian/changelog ===
khal (1:0.10.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport fix from upstream merge request for FTBFS with
    tzdata 2022g. (Closes: #1028833)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Feb 2023 13:41:00 +0200

khal (1:0.10.5-1) unstable; urgency=medium

  [ upstream ]
  * new release
    * fix tzlocal issue;
      closes: bug#1007255, #1023341, thanks to Guillem Jover and others

  [ Jonas Smedegaard ]
  * stop repackage upstream source:
    autogenerated file no longer included with upstream source
  * drop patches cherry-picked upstream since applied
  * rename upstream cherry-picked patch
    to match patch naming micro-policy
  * unfuzz patches
  * build-depend on python3-sphinx-rtd-theme
    (not python3-alabaster)
  * set Rules-Requires-Root: no
  * update copyright info: update coverage
  * update build routines to resolve version from CHANGELOG;
    add comments clarifying version resolving hack,
    thanks to Daniele Tricoli
  * update generating shell completion;
    build-depend on dh-sequence-bash-completion;
    suggest bash-completion

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Dec 2022 17:31:23 +0100

khal (1:0.10.4~ds-4) unstable; urgency=medium

  * Team upload.
  * Pick parts of upstream commit as patch to fix FTBFS
    with new pytz (Closes: #1020107)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Add B-D on python3-packaging with nocheck profile

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Oct 2022 21:51:18 +0530

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-bash-completion,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  locales,
- python3-alabaster,
  python3-all,
  python3-click,
  python3-configobj,
@@ -18,19 +18,22 @@
  python3-doc,
  python3-freezegun,
  python3-icalendar,
+ python3-packaging <!nocheck>,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-tz,
  python3-tzlocal,
  python3-urwid,
  python3-xdg,
  vdirsyncer,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pimutils/khal
 Vcs-Git: https://salsa.debian.org/python-team/packages/khal.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/khal
+Rules-Requires-Root: no
 
 Package: khal
 Architecture: all
@@ -41,6 +44,7 @@
 Recommends:
  python3-setproctitle,
 Suggests:
+ bash-completion,
  khal-doc,
 Description: Standards based CLI and terminal calendar program
  Khal is a standards based CLI and terminal calendar program,

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,26 @@
 export PYBUILD_DESTDIR_python3=debian/khal
 export PYBUILD_NAME=khal
 
-VERSION = $(shell grep -Po '^Version:\s*\K\S+' PKG-INFO)
+# resolve upstream version from upstream-provided file (not VCS)
+# needed to avoid runtime dependency on python3-setuptools-scm
+VERSION = $(shell grep -Po -m1 '^0\.\d+\.\d+$$' CHANGELOG.rst)
+
+cmd = khal
+_ENV = $(strip \
+ PYTHONDONTWRITEBYTECODE=1 \
+ PATH="$(CURDIR)/debian/khal/usr/bin:$(PATH)" \
+ PYTHONPATH="$(CURDIR)/debian/khal/usr/lib/$(shell py3versions -d)/dist-packages")
 
 %:
 	dh $@ --buildsystem=pybuild
 
+# generate upstream version.py during build
+# needed to avoid runtime dependency on python3-setuptools-scm
 execute_before_dh_auto_configure execute_before_dh_auto_clean:
 	printf '# coding: utf-8\nversion = "%s"\nversion_tuple = (%s, %s, %s)\n' $(VERSION) $(wordlist 1,3,$(subst ., ,$(VERSION))) > khal/version.py
 
 # do upstream cleanup only with patches applied
+# needed to avoid runtime dependency on python3-setuptools-scm
 override_dh_auto_clean:
 	grep -q use_scm_version setup.py || dh_auto_clean --buildsystem=pybuild
 
@@ -19,8 +30,16 @@
 	PYTHONPATH=. python3 -m sphinx -b man doc/source $(CURDIR)/doc/_build/man
 
 execute_after_dh_auto_install:
-	mkdir -p debian/khal/usr/share/zsh/vendor-completions
-	cp misc/__khal debian/khal/usr/share/zsh/vendor-completions/_khal
+# generate shell completion scripts
+	$(_ENV) \
+	  _SILKAJ_COMPLETE=bash_source $(cmd) \
+		> debian/bash-completion || true
+	test -s debian/bash-completion
+	$(_ENV) \
+	  _SILKAJ_COMPLETE=zsh_source $(cmd) \
+		> debian/_$(cmd) || true
+	test -s debian/_$(cmd)
+# prepare sample config for installation using dh_installexamples
 	cp -f khal.conf.sample debian/khal.conf
 
 override_dh_sphinxdoc:

## khal 0.11.2

=== debian/changelog ===
khal (1:0.11.2-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage
  * add patches cherry-picked upstream:
    + fix tests
    + fix an issue with updating the eventlist after editing
    + fix issue after reset of eventlist
    + fix deleting of multiple instances
  * add patch 2005
    to adapt a few tests seemingly tied to icalendar 5;
    tighten build-dependency on python3-icalendar
  * add patch 2006
    to adapt a few tests seemingly tied to pytz;
    tighten build-dependency on python3-tz

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jul 2023 00:27:43 +0200

khal (1:0.11.2-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tidy rules file comments
  * drop patch cherry-picked upstream now applied
  * unfuzz patches
  * build-depend on python3-hypothesis

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 20:29:08 +0200

## khal 0.11.3

=== doc/requirements.txt ===
sphinx!=1.6.1
sphinxcontrib-newsfeed
sphinx-rtd-theme

=== debian/changelog ===
khal (1:0.11.3-5) unstable; urgency=medium

  * Team Upload
  * Remove obsolete ref. to python_distutils
  * Move python3-pkg-resources dependency to autopkgtest
  * Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 17:44:04 +0100

khal (1:0.11.3-4) unstable; urgency=medium

  * add patch cherry-picked upstream
    to set external_edit extension to .ics
  * drop patch 2006 apparently obsolete;
    closes: bug#1084282, thanks to Santiago Vila and Rebecca N. Palmer
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 11:48:09 +0100

khal (1:0.11.3-3) unstable; urgency=medium

  * add patches to use icalendar v6;
    tighten build-dependency on python3-icalendar;
    closes: bug#1087613, thanks to Martin Dosch and Sébastien Delafond

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Nov 2024 00:38:35 +0100

khal (1:0.11.3-2) unstable; urgency=medium

  * fix generate shell completion scripts;
    closes: bug#1079189, thanks to Simon Ruderich

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Aug 2024 09:48:06 +0200

khal (1:0.11.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Feb 2024 07:51:25 +0100

khal (1:0.11.2-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to make ikhal work with urwid 2.4.2;
    closes: bug#1063148, thanks to cacatoès

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Feb 2024 20:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,18 +17,19 @@
  python3-dateutil,
  python3-doc,
  python3-freezegun,
- python3-icalendar,
+ python3-hypothesis <!nocheck>,
+ python3-icalendar (>= 6),
  python3-packaging <!nocheck>,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-tz,
+ python3-tz (>= 2023.3-3~),
  python3-tzlocal,
  python3-urwid,
  python3-xdg,
  vdirsyncer,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pimutils/khal
 Vcs-Git: https://salsa.debian.org/python-team/packages/khal.git
@@ -38,7 +39,6 @@
 Package: khal
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=khal
 
 # resolve upstream version from upstream-provided file (not VCS)
-# needed to avoid runtime dependency on python3-setuptools-scm
+# needed as part of avoiding dependency on python3-setuptools-scm
 VERSION = $(shell grep -Po -m1 '^0\.\d+\.\d+$$' CHANGELOG.rst)
 
 cmd = khal
@@ -17,12 +17,12 @@
 	dh $@ --buildsystem=pybuild
 
 # generate upstream version.py during build
-# needed to avoid runtime dependency on python3-setuptools-scm
+# needed as part of avoiding dependency on python3-setuptools-scm
 execute_before_dh_auto_configure execute_before_dh_auto_clean:
 	printf '# coding: utf-8\nversion = "%s"\nversion_tuple = (%s, %s, %s)\n' $(VERSION) $(wordlist 1,3,$(subst ., ,$(VERSION))) > khal/version.py
 
 # do upstream cleanup only with patches applied
-# needed to avoid runtime dependency on python3-setuptools-scm
+# needed as part of avoiding dependency on python3-setuptools-scm
 override_dh_auto_clean:
 	grep -q use_scm_version setup.py || dh_auto_clean --buildsystem=pybuild
 
@@ -32,20 +32,18 @@
 execute_after_dh_auto_install:
 # generate shell completion scripts
 	$(_ENV) \
-	  _SILKAJ_COMPLETE=bash_source $(cmd) \
-		> debian/bash-completion || true
-	test -s debian/bash-completion
+	  _KHAL_COMPLETE=bash_source $(cmd) \
+		> debian/bash-completion
 	$(_ENV) \
-	  _SILKAJ_COMPLETE=zsh_source $(cmd) \
-		> debian/_$(cmd) || true
-	test -s debian/_$(cmd)
+	  _KHAL_COMPLETE=zsh_source $(cmd) \
+		> debian/_$(cmd)
 # prepare sample config for installation using dh_installexamples
 	cp -f khal.conf.sample debian/khal.conf
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.txt
 	rm -f $(CURDIR)/debian/khal-doc/usr/share/doc/khal-doc/html/_sources/license.rst.txt

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import khal; print(khal)" ; done
Depends:
 khal,
 python3-all,
 python3-pkg-resources,

Test-Command: khal --help
Depends:
 khal,

## khal 0.11.4

=== doc/Makefile ===
--- 
+++ 
@@ -49,38 +49,38 @@
 clean:
 	rm -rf $(BUILDDIR)/*
 
-html:source
+html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
-dirhtml:source
+dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
-singlehtml:source
+singlehtml:
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
-pickle:source
+pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
-json:source
+json:
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
-htmlhelp:source
+htmlhelp:
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
-qthelp:source
+qthelp:
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
@@ -89,7 +89,7 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/khal.qhc"
 
-devhelp:source
+devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
@@ -98,83 +98,80 @@
 	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/khal"
 	@echo "# devhelp"
 
-epub:source
+epub:
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
-latex:source
+latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
 	@echo "Run \`make' in that directory to run these through (pdf)latex" \
 	      "(use \`make latexpdf' here to do that automatically)."
 
-latexpdf:source
+latexpdf:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
-latexpdfja:source
+latexpdfja:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through platex and dvipdfmx..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
-text:source
+text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
-man:source
+man:
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
 
-texinfo:source
+texinfo:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
 
-info:source
+info:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
-gettext:source
+gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
 	@echo
 	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
-changes:source
+changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
-linkcheck:source
+linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
-doctest:source
+doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
-xml:source
+xml:
 	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
 	@echo
 	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
 
-pseudoxml:source
+pseudoxml:
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
-
-source:
-	make -C source

=== debian/changelog ===
khal (1:0.11.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * clean doc files after build; thanks to Simon Ruderich
  * update and unfuzz patches; thanks to Simon Ruderich
  * fix prepare tests; thanks to Simon Ruderich
  * build-depend on pybuild-plugin-pyproject
  * declare compliance with Debian Policy 4.7.2
  * have pytest emit verbose output unless DEB_BUILD_OPTIONS=terse
  * build-depend on python3-pkg-resources;
    tighten build-dependency on python3-urwid

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 11:13:42 +0200

khal (1:0.11.3-6) unstable; urgency=medium

  * Team upload.
  * Skip test that fails in the future (Closes: #1078624)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 07 Apr 2025 18:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  locales,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-click,
  python3-configobj,
@@ -20,16 +21,17 @@
  python3-hypothesis <!nocheck>,
  python3-icalendar (>= 6),
  python3-packaging <!nocheck>,
+ python3-pkg-resources,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-tz (>= 2023.3-3~),
  python3-tzlocal,
- python3-urwid,
+ python3-urwid (>= 2.6.15),
  python3-xdg,
  vdirsyncer,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pimutils/khal
 Vcs-Git: https://salsa.debian.org/python-team/packages/khal.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
-export PYBUILD_DESTDIR_python3=debian/khal
+export PYBUILD_DESTDIR=debian/khal
 export PYBUILD_NAME=khal
+export PYBUILD_BEFORE_TEST=cp -r tests/configs tests/ics {build_dir}/tests
+export PYBUILD_TEST_ARGS=-k 'not test_timezone_creation_with_arbitrary_dates'
+
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export PYBUILD_TEST_ARGS += -vv
+endif
 
 # resolve upstream version from upstream-provided file (not VCS)
 # needed as part of avoiding dependency on python3-setuptools-scm
